from setuptools.build_meta import build_wheel as _build_wheel
from setuptools.build_meta import build_sdist as _build_sdist
from .write_version import generate_version, generate_version_dev


def build_wheel(*args, **kwargs):
    generate_version()
    o = _build_wheel(*args, **kwargs)
    generate_version_dev()
    return o


def build_sdist(*args, **kwargs):
    generate_version()
    o = _build_sdist(*args, **kwargs)
    generate_version_dev()
    return o
